mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum Cryptographic Mode of Operation for Symmetric Block Ciphers.

Cipher mode of operation are only applicable to block ciphers. Stream ciphers, like RC4(tm), do not use them.

Some modes (OFB and CTS) are defined but are not implemented for any of the algorithms present in the .NET framework.

- Field
  System.Security.Cryptography.CipherMode Cipher Block Chaining (CBC). The first plain text data block is XORed with the initialization vector (IV) before being encrypted by the selected algorithm. Subsequent blocks are XORed with the previous cipher text block before being encrypted. More details are available in NIST FIPS 81 . To be added 1.0.5000.0 2.0.0.0
- Field
  System.Security.Cryptography.CipherMode Cipher Feedback (CFB). The first plain text data block is encrypted then XORed with the initialization vector (IV). Subsequent blocks are encrypted and then XORed with the previous plain text block. More details are available in NIST FIPS 81 . To be added 1.0.5000.0 2.0.0.0
- Field
  System.Security.Cryptography.CipherMode Cipher Text Stealing (CTS). This cipher mode is defined but is not implemented for any of the algorithms present in the .NET framework. More details are available in Applied Cryptography (Schneier, Bruce, "Applied Cryptography", Second Edition, John Wiley and Sons, New York, 1996). To be added 1.0.5000.0 2.0.0.0
- Field
  System.Security.Cryptography.CipherMode Electronic Codebook (ECB). This is the most basic mode of operation where a plain text data block is encrypted by the selected algorithm. More details are available in NIST FIPS 81 . To be added 1.0.5000.0 2.0.0.0
- Field
  System.Security.Cryptography.CipherMode Output Feedback (OFB). This cipher mode is defined but is not implemented for any of the algorithms present in the .NET framework. More details are available in NIST FIPS 81 . To be added 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)